Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageToImageStencil Class Reference

`#include <vtkImageToImageStencil.h>`

Inheritance diagram for vtkImageToImageStencil:

[legend]
Collaboration diagram for vtkImageToImageStencil:

[legend]
List of all members.

## Detailed Description

clip an image with a mask image

Date:
  2002/12/11 14:26:22

Revision:
  1.9

vtkImageToImageStencil will convert a vtkImageData into an stencil that can be used with vtkImageStecil or other vtk classes that apply a stencil to an image.

See also:
  vtkImageStencil vtkImplicitFunctionToImageStencil vtkPolyDataToImageStencil

Created by:
  - Gobbi, David

CVS contributions (if > 5%):
  - Gobbi, David (83%)
  - Schroeder, Will (7%)
  - Cedilnik, Andy (5%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageToImageStencil.h)`
  - .`cxx` (`/Imaging/vtkImageToImageStencil.cxx)`

Tests:
  vtkImageToImageStencil (Tests)

Definition at line 52 of file vtkImageToImageStencil.h.

## Public Types
typedef vtkImageStencilSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | ThresholdByUpper (float thresh)
void | ThresholdByLower (float thresh)
void | ThresholdBetween (float lower, float upper)
void | SetInput (vtkImageData *input)
vtkImageData * | GetInput ()
virtual void | SetUpperThreshold (float)
virtual float | GetUpperThreshold ()
virtual void | SetLowerThreshold (float)
virtual float | GetLowerThreshold ()
## Static Public Methods
vtkImageToImageStencil * | New ()
int | IsTypeOf (const char *type)
vtkImageToImageStencil * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageToImageStencil ()
| ~vtkImageToImageStencil ()
void | ThreadedExecute (vtkImageStencilData *output, int extent[6], int threadId)
## Protected Attributes
float | UpperThreshold
float | LowerThreshold
float | Threshold

## Member Typedef Documentation

typedef vtkImageStencilSource vtkImageToImageStencil::Superclass

| Reimplemented from vtkImageStencilSource. Definition at line 56 of file vtkImageToImageStencil.h.

## Constructor & Destructor Documentation

vtkImageToImageStencil::vtkImageToImageStencil | ( |  | ) | `[protected]`

vtkImageToImageStencil::~vtkImageToImageStencil | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImageToImageStencil* vtkImageToImageStencil::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageStencilSource.

virtual const char* vtkImageToImageStencil::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageStencilSource.

int vtkImageToImageStencil::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageStencilSource.

virtual int vtkImageToImageStencil::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageStencilSource.

vtkImageToImageStencil* vtkImageToImageStencil::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageStencilSource.

void vtkImageToImageStencil::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageStencilSource.

void vtkImageToImageStencil::SetInput | ( | vtkImageData * | input | ) |

| Specify the image data to convert into a stencil.

vtkImageData* vtkImageToImageStencil::GetInput | ( |  | ) |

| Specify the image data to convert into a stencil.

void vtkImageToImageStencil::ThresholdByUpper | ( | float | thresh | ) |

| The values greater than or equal to the value match.

void vtkImageToImageStencil::ThresholdByLower | ( | float | thresh | ) |

| The values less than or equal to the value match.

void vtkImageToImageStencil::ThresholdBetween | ( | float | lower,
|  | float | upper
| ) |

| The values in a range (inclusive) match

virtual void vtkImageToImageStencil::SetUpperThreshold | ( | float |  | ) | `[virtual]`

| Get the Upper and Lower thresholds.

virtual float vtkImageToImageStencil::GetUpperThreshold | ( |  | ) | `[virtual]`

| Get the Upper and Lower thresholds.

virtual void vtkImageToImageStencil::SetLowerThreshold | ( | float |  | ) | `[virtual]`

| Get the Upper and Lower thresholds.

virtual float vtkImageToImageStencil::GetLowerThreshold | ( |  | ) | `[virtual]`

| Get the Upper and Lower thresholds.

void vtkImageToImageStencil::ThreadedExecute | ( | vtkImageStencilData * | output,
|  | int | extent[6],
|  | int | threadId
| ) | `[protected, virtual]`

| Override this method to support clipping with different kinds of objects. Eventually the extent could be split up and handled by multiple threads, but it isn't for now. But please ensure that all code inside this method is thread-safe. Reimplemented from vtkImageStencilSource.

## Member Data Documentation

float vtkImageToImageStencil::UpperThreshold`[protected]`

| Definition at line 89 of file vtkImageToImageStencil.h.

float vtkImageToImageStencil::LowerThreshold`[protected]`

| Definition at line 90 of file vtkImageToImageStencil.h.

float vtkImageToImageStencil::Threshold`[protected]`

| Definition at line 91 of file vtkImageToImageStencil.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageToImageStencil.h